### Method

# Ide SourceView push_snippet

#### Declaration

    void
    ide_source_view_push_snippet (
      IdeSourceView* self,
      IdeSnippet* snippet,
      const GtkTextIter* location
    )

#### Description

Pushes a new snippet onto the source view.

Available since: | 3.32

#### Parameters

`snippet` | `IdeSnippet`
| An `IdeSnippet`.
| The data is owned by the caller of the function.
`location` | `GtkTextIter`
| A location for the snippet or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.